diff --git a/pgadmin/pgAdmin3.cpp b/pgadmin/pgAdmin3.cpp
index 3f9cf3f..87ee9f0 100644
--- a/pgadmin/pgAdmin3.cpp
+++ b/pgadmin/pgAdmin3.cpp
@@ -1167,6 +1167,8 @@ void pgAdmin3::InitXtraPaths()
 		// Ugly... Greenplum client releases have no predictable numbers, because the path is the server version
 		if (!programFiles.IsEmpty())
 		{
+			path.Add(programFiles + wxT("\\Greenplum\\greenplum-clients-5.0\\bin"));
+			path.Add(programFiles + wxT("\\Greenplum\\greenplum-clients-4.4\\bin"));
 			path.Add(programFiles + wxT("\\Greenplum\\greenplum-clients-4.3\\bin"));
 			path.Add(programFiles + wxT("\\Greenplum\\greenplum-clients-4.2\\bin"));
 			path.Add(programFiles + wxT("\\Greenplum\\greenplum-clients-4.1\\bin"));
@@ -1174,6 +1176,8 @@ void pgAdmin3::InitXtraPaths()
 			path.Add(programFiles + wxT("\\Greenplum\\greenplum-clients-3.3\\bin"));
 			path.Add(programFiles + wxT("\\Greenplum\\greenplum-clients-3.2\\bin"));
 
+			path.Add(programFiles + wxT("\\Greenplum\\greenplum-clients-5.0\\lib"));
+			path.Add(programFiles + wxT("\\Greenplum\\greenplum-clients-4.4\\lib"));
 			path.Add(programFiles + wxT("\\Greenplum\\greenplum-clients-4.3\\lib"));
 			path.Add(programFiles + wxT("\\Greenplum\\greenplum-clients-4.2\\lib"));
 			path.Add(programFiles + wxT("\\Greenplum\\greenplum-clients-4.1\\lib"));
@@ -1184,6 +1188,8 @@ void pgAdmin3::InitXtraPaths()
 
 		if (!programFilesX86.IsEmpty())
 		{
+			path.Add(programFilesX86 + wxT("\\Greenplum\\greenplum-clients-5.0\\bin"));
+			path.Add(programFilesX86 + wxT("\\Greenplum\\greenplum-clients-4.4\\bin"));
 			path.Add(programFilesX86 + wxT("\\Greenplum\\greenplum-clients-4.3\\bin"));
 			path.Add(programFilesX86 + wxT("\\Greenplum\\greenplum-clients-4.2\\bin"));
 			path.Add(programFilesX86 + wxT("\\Greenplum\\greenplum-clients-4.1\\bin"));
@@ -1191,6 +1197,8 @@ void pgAdmin3::InitXtraPaths()
 			path.Add(programFilesX86 + wxT("\\Greenplum\\greenplum-clients-3.3\\bin"));
 			path.Add(programFilesX86 + wxT("\\Greenplum\\greenplum-clients-3.2\\bin"));
 
+			path.Add(programFilesX86 + wxT("\\Greenplum\\greenplum-clients-5.0\\lib"));
+			path.Add(programFilesX86 + wxT("\\Greenplum\\greenplum-clients-4.4\\lib"));
 			path.Add(programFilesX86 + wxT("\\Greenplum\\greenplum-clients-4.3\\lib"));
 			path.Add(programFilesX86 + wxT("\\Greenplum\\greenplum-clients-4.2\\lib"));
 			path.Add(programFilesX86 + wxT("\\Greenplum\\greenplum-clients-4.1\\lib"));
@@ -1206,6 +1214,10 @@ void pgAdmin3::InitXtraPaths()
 
 		// Generic Unix paths
 
+		path.Add(wxT("/usr/local/greenplum-clients-5.0/bin"));
+		path.Add(wxT("/opt/local/greenplum-clients-5.0/bin"));
+		path.Add(wxT("/usr/local/greenplum-clients-4.4/bin"));
+		path.Add(wxT("/opt/local/greenplum-clients-4.4/bin"));
 		path.Add(wxT("/usr/local/greenplum-clients-4.3/bin"));
 		path.Add(wxT("/opt/local/greenplum-clients-4.3/bin"));
 		path.Add(wxT("/usr/local/greenplum-clients-4.2/bin"));
@@ -1219,6 +1231,10 @@ void pgAdmin3::InitXtraPaths()
 		path.Add(wxT("/usr/local/greenplum-clients-3.2/bin"));
 		path.Add(wxT("/opt/local/greenplum-clients-3.2/bin"));
 
+		path.Add(wxT("/usr/local/greenplum-clients-5.0/lib"));
+		path.Add(wxT("/opt/local/greenplum-clients-5.0/lib"));
+		path.Add(wxT("/usr/local/greenplum-clients-4.4/lib"));
+		path.Add(wxT("/opt/local/greenplum-clients-4.4/lib"));
 		path.Add(wxT("/usr/local/greenplum-clients-4.3/lib"));
 		path.Add(wxT("/opt/local/greenplum-clients-4.3/lib"));
 		path.Add(wxT("/usr/local/greenplum-clients-4.2/lib"));
@@ -1664,7 +1680,7 @@ void pgAdmin3::InitHelp()
 	if (edbHelpPath.IsEmpty())
 		edbHelpPath = wxT("http://www.enterprisedb.com/docs/en/current/server/");
 	if (gpHelpPath.IsEmpty())
-		gpHelpPath = wxT("http://docs.gopivotal.com/gpdb/index.html");
+		gpHelpPath = wxT("http://gpdb.docs.pivotal.io/");
 	if (slonyHelpPath.IsEmpty())
 		slonyHelpPath = wxT("http://www.slony.info/documentation/");
 
diff --git a/pgadmin/utils/misc.cpp b/pgadmin/utils/misc.cpp
index 93b56f8..96464c0 100644
--- a/pgadmin/utils/misc.cpp
+++ b/pgadmin/utils/misc.cpp
@@ -676,7 +676,7 @@ wxString CleanHelpPath(const wxString &path)
 	        thePath.Lower().EndsWith(wxT(".zip")))
 		return thePath;
 
-	// In all othe cases we must have a directory
+	// In all other cases we must have a directory
 	wxString sep;
 
 	// Figure out the appropriate seperator
@@ -764,9 +764,21 @@ void DisplayHelp(const wxString &helpTopic, const HelpType helpType)
 			// the old help path (stored in the settings) is no longer working
 			static wxString gpHelpPath = settings->GetGpHelpPath();
 
+			// Note: never end the URL on "index.html"
+			// InitHelp() does obscure magic with this ending
+			if (gpHelpPath.CmpNoCase(wxT("http://docs.gopivotal.com/gpdb/")) == 0)
+			{
+				gpHelpPath = wxT("http://gpdb.docs.pivotal.io/");
+				// Replace the path to the old domain with the link to
+				// the new documentation path
+				// The old link is working for now, but there is no guarantee
+				// that it will stay this way
+				// Also the new link automatically redirects to the latest version
+				settings->SetGpHelpPath(gpHelpPath);
+			}
 			if (gpHelpPath.CmpNoCase(wxT("http://www.greenplum.com/docs/3300/")) == 0)
 			{
-				gpHelpPath = wxT("http://docs.gopivotal.com/gpdb/");
+				gpHelpPath = wxT("http://gpdb.docs.pivotal.io/");
 				// this is the old link, update the link to the new documentation link
 				// problem: this saves the link into the configuration file
 				settings->SetGpHelpPath(gpHelpPath);
